﻿@using T = ToitKoju;
@model ToitKoju.Category

@{
    ViewBag.Title = "Browse";
}
<div>
    <h2>Toitude nimekiri: @Model.CategoryName</h2>
    <table>
        @foreach (var recipies in Model.Recipies)
        {
            <tr>
                <td>
                    @*@recipies.RecipeName*@
                    @* TODO: Vaata üle. Peaks kuvama retsepti kirjelduse *@
                    @*@Html.ActionLink(recipies.RecipeName,
                        "Details", "Recipies", new { id = recipies.RecipeID }, null)*@
                </td>
                <td>
                    @*<img src='@Url.Action( "RecipyImage", "Recipies", new { id = recipies.RecipeID } )' width="200" height="200">*@
                </td>

                @* Pilt lingina, all tekst *@
                <div class="col-md-3 portfolio-item">
                    <a href='@Url.Action( "Details", "Recipies", new { id = recipies.RecipeID } )'>
                        <img src='@Url.Action( "RecipyImage", "Recipies", new { id = recipies.RecipeID } )' class="img-circle" alt="Cinque Terre" width="250" height="250">
                    </a>

                    @*<h3 class="text-center">
                                        @Html.ActionLink(recipies.RecipeName,
                        "AddCart", new { id = recipies.RecipeID }, null)
                                </h3>*@
                    <h3 class="text-center">
                        <button type="button" class="btn btn-default btn-lg">
                            <span class="glyphicon glyphicon-shopping-cart"></span> @Html.ActionLink(recipies.RecipeName,
"AddCart", new { id = recipies.RecipeID }, null)
                        </button>
                    </h3>
                </div>
            </tr>
        }
    </table>
</div>

@*@using (Html.BeginForm())
    {
        @Html.AntiForgeryToken()*@

@*<div class="form-horizontal">
    <h4>Category</h4>
    <hr />
    @Html.ValidationSummary(true, "", new { @class = "text-danger" })*@
@*<div class="form-group">
        @Html.LabelFor(model => model.CategoryName, htmlAttributes: new { @class = "control-label col-md-2" })
        <div class="col-md-10">
            @Html.EditorFor(model => model.CategoryName, new { htmlAttributes = new { @class = "form-control" } })
            @Html.ValidationMessageFor(model => model.CategoryName, "", new { @class = "text-danger" })
        </div>
    </div>*@

@*<div class="form-group">
        @Html.LabelFor(model => model.Description, htmlAttributes: new { @class = "control-label col-md-2" })
        <div class="col-md-10">
            @Html.EditorFor(model => model.Description, new { htmlAttributes = new { @class = "form-control" } })
            @Html.ValidationMessageFor(model => model.Description, "", new { @class = "text-danger" })
        </div>
    </div>*@

@*<div class="form-group">
        <div class="col-md-offset-2 col-md-10">
            <input type="submit" value="Loo uus" class="btn btn-default" />
        </div>
    </div>*@
@*</div>
    }*@


<div>
    <h3>Ostukorvis on:</h3>
    @foreach (KeyValuePair<int, ToitKoju.Models.Cart> x in ViewBag.Ostukorv)
    {
        <p> @x.Value.RecipeName (@x.Value.UnitsAmount) @Html.ActionLink("eemalda", "RemoveCart", new { id = x.Key })</p>
    }

    @if (Request.IsAuthenticated)
    {
        T.User u = T.User.GetByEmail(User.Identity.Name);
        if (u != null)
        {
            <td> @Html.ActionLink("Telli", "ConfirmCart")</td>

        }
    }
    else
    {<td>@Html.ActionLink("Telli", "Login", "Account")</td>}
</div>

<div>
    @Html.ActionLink("Back to List", "Index")
</div>
<table>
    <tr>
        @section Scripts {
            @Scripts.Render("~/bundles/jqueryval")
        }
    </tr>
</table>

